cd /home/zhu.3723/kronvit/
GPU_NUM=2
export OMP_NUM_THREADS=1
export CUDA_VISIBLE_DEVICES=4,5


start_time=$(date +"%s")
torchrun --nproc_per_node=$GPU_NUM \
     --master_port 29525\
     main.py  \
     --model normal_swin_tiny_patch4_window7_224 \
     --batch-size 256 \
     --data-set CIFAR \
     --data-path /home/zhu.3723/data/cifar100 \
     --output_dir /home/zhu.3723/kronvit/output/elastic_swin_group_lasso/ \
     --elastic_group_lasso \
     --finetune /home/zhu.3723/kronvit/output/elastic_swin_group_lasso/best_checkpoint.pth \

end_time=$(date +"%s")

# Calculate and echo the total time taken
elapsed_time=$((end_time - start_time))
echo "Total execution time: $elapsed_time seconds"